Bug 117868 - Linker gives "Memory exhausted" error
Linker gives "Memory exhausted" error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
3.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-09 09:30 EST by Nitin Puri
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-24 09:44:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nitin Puri 2004-03-09 09:30:53 EST
Description of problem:

While creating my 64-bit binary on RH 3.0, I get this error message 
by the linker

rtslib/rtslib.64.a:could not read symbols: Memory exhausted

I'm not using any compiler optimization flag as using either
-O, -O1, -O2 gives an internal like
sslvcd.c: In function `sslu_vcd_xbuild_tree':
sslvcd.c:1177: warning: `ovp' might be used uninitialized in this 
function
sslvcd.c:1179: warning: `mod_pp' might be used uninitialized in this 
function
sslvcd.c:1179: warning: `mod_ppp' might be used uninitialized in this 
function
sslvcd.c:1186: warning: `oscope' might be used uninitialized in this 
function
sslvcd.c: In function `sslu_vcd_build_tree':
sslvcd.c:1644: warning: `s1' might be used uninitialized in this 
function
sslvcd.c: In function `sslu_vcd_dump_item':
sslvcd.c:2720: Internal compiler error in fixup_var_refs_1, at 
function.c:1969
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [sslvcd.64.o] Error 1




Version-Release number of selected component (if applicable):

I'm using gcc 3.2.3 (Red Hat Linux 3.2.3-20) on RH EE3.0
I'm working on Opetron architecture.
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard Henderson 2004-10-04 17:22:17 EDT
You've got two different bugs here.  First, the compiler should not be
generating an internal compiler error.  Second is the linker out of 
memory problem; for that, you havn't given me enough information to tell
if that's a real bug, or you really are just out of memory.

For the second, you can try adding the compiler switch
"-Wl,--no-keep-memory".  This is a trade-off in the linker to use less
memory and do lots more disk i/o.  It's normally significantly slower,
which is why it's not the default.

But for us to go beyond this guess on the linker problem, or to do
anything at all about the compiler problem, we would have to have
test cases to work with.
Comment 2 Jakub Jelinek 2004-11-24 09:44:32 EST
If you have a self-contained testcase, please reopen.

Note You need to log in before you can comment on or make changes to this bug.